#ifndef HWTABLE_H
#define HWTABLE_H

#include <hwWidget.h>
#include <vector>

class hwLabel;

class hwTable : public hwWidget
{
public:

    hwTable();

    ~hwTable();

    string draw();

    void setValue(unsigned int row, unsigned int col, hwWidget* w);
    
    void setColumnLabel(unsigned int col, hwLabel* label);
    
    hwWidget* getValue(unsigned int row, unsigned int col);
    
    void clear();
    
private:

    hwTable(const hwTable& source);
    hwTable& operator=(const hwTable& source);

    vector<hwLabel*> myCols;
    vector<vector<hwWidget*> > myCells;
};

#endif
