#ifndef HWTREE_H
#define HWTREE_H

#include <hwWidget.h>
#include <map>
#include <vector>

using namespace std;

class hwTree : public hwWidget
{
public:

    hwTree();

    string draw();

    void addNode(hwWidget* parent, hwWidget* child);

private:

    string drawNode(hwWidget* node);
    
    map<hwWidget*,vector<hwWidget*> > myNodes;
    hwWidget* myRoot;
};

#endif
