#ifndef WS_STRINGTOKENIZER_H
#define WS_STRINGTOKENIZER_H

#include <stdio.h>
#include <stdlib.h>
#include <iostream>
#include <string>

using namespace std;

class wsStringTokenizer
{
public:

    wsStringTokenizer(string str, string delim);
    
   ~wsStringTokenizer(){};

    int countTokens();

    bool hasMoreTokens();

    string nextToken();

    int nextIntToken();

    double nextFloatToken();

    string nextToken(string delim);

    string remainingString();

    string filterNextToken(string filterStr);

private:

    string  myTokenStr;
    string  myDelim;
};

#endif

