#include <hwScrollWindow.h>
#include <hwApp.h>
#include <hwTheme.h>
#include <hwServer.h>

hwScrollWindow::hwScrollWindow()
: hwWidget("hwScrollWindow")
{
}

hwScrollWindow::~hwScrollWindow()
{
}

string hwScrollWindow::draw()
{
	string html;
	
	html += "<iframe class=\"hwScrollWindow\" id=\"" + myName + "\" name=\"" + myName + "\"" +
        + " src=\"?_iframe=" + myName + "\">";

	html += "</iframe>";
		
	return html;
}

string hwScrollWindow::drawChild()
{
    string html;
    
    html += "<html>";
	html += "<head>";
    html += "<style>";
	html += hwServer::getInstance()->getThreadApp(pthread_self())->getTheme()->getStyle();
    html += "</style>";
	html += "</head>";
	html += "<body>";
	html += "<form method=\"post\" name=\"" + myName + "\">";
	html += "<input type=\"hidden\" name=\"_iframe\" value=\"" + myName + "\">";
	html += "<input type=\"hidden\" name=\"_event\">";
	html += "<input type=\"hidden\" name=\"_widget\">";
    html += myChild ? myChild->draw() : "";
	html += "</form>";
	html += "</body>";
    html += "</html>";

    return html;
}

