#include <hwWidget.h>
#include <sstream>
#include <hwApp.h>
#include <hwServer.h>

using namespace std;

unsigned long hwWidget::myWidgetCounter = 0;
pthread_mutex_t hwWidget::myMutex;

hwWidget::hwWidget(const string& classname)
    : myClass(classname), myValue("")
{
    stringstream s;
    pthread_mutex_lock(&myMutex);
    s << myWidgetCounter++;
    pthread_mutex_unlock(&myMutex);
    myName = "widget" + s.str();
	hwServer::getInstance()->getThreadApp(pthread_self())->registerWidget(this);
}

void hwWidget::setName(
    const string& name
)
{
    myName = name;
	hwServer::getInstance()->getThreadApp(pthread_self())->registerWidget(this);
}

hwWidget::~hwWidget()
{
}

void hwWidget::onClick()
{
}

void hwWidget::init()
{
    pthread_mutex_init(&myMutex, NULL);
}

