#ifndef MAILTAB_H
#define MAILTAB_H

#include <hwSplitPane.h>

class hwTree;
class hwLabel;
class ComposeDialog;
class hwWindow;
class hwTable;

class MailTab : public hwSplitPane
{
public:

    MailTab(hwWindow* window);

private:

    void loadFolders();
    void loadMessageTable();
    void loadMessage();

    hwTree* myFolderTree;
    ComposeDialog* myComposeDialog;
    hwWindow* myWindow;
    hwTable* myMessageTable;
};

#endif
