#include <MainWindow.h>
#include <hwAll.h>
#include <MailTab.h>
#include <ContactTab.h>
#include <CalendarTab.h>
#include <TaskTab.h>
#include <iostream>

MainWindow::MainWindow()
{
    setTitle("libhw Demo");
    setName("mainWindow");
    
    hwTableLayout* tablelayout1 = new hwTableLayout();
    tablelayout1->setName("mainTableLayout");
    add(tablelayout1);
    
    hwTabLayout* tablayout1 = new hwTabLayout();
    tablayout1->setName("mainTabLayout");

    tablelayout1->add(tablayout1, 0, 0);

    myMailTab = new MailTab(this);
    myContactTab = new ContactTab(this);
    myCalendarTab = new CalendarTab(this);
    myTaskTab = new TaskTab(this);
    
    tablayout1->add("Mail", myMailTab);
    tablayout1->add("Contacts", myContactTab);
    tablayout1->add("Calendar", myCalendarTab);
    tablayout1->add("Tasks", myTaskTab);
    
    hwStatusbar* statusbar1 = new hwStatusbar();
    statusbar1->setName("mainStatusbar");
    statusbar1->add(new hwLabel("libhw Demo"));
    statusbar1->add(new hwLabel("Version: 0.1"));
    tablelayout1->add(statusbar1, 1, 0);
}

