#ifndef HWSPLITPANE_H
#define HWSPLITPANE_H

#include <hwWidget.h>
#include <vector>

class hwSplitPane : public hwWidget
{
public:

    typedef enum { HORIZONTAL, VERTICAL } Orientation;
    
    hwSplitPane();

    ~hwSplitPane();

    string draw();
    
    void add(hwWidget* pane)
        { myPanes.push_back(pane); }

private:

    vector<hwWidget*> myPanes;
    Orientation myOrientation;
};

#endif

