#ifndef HWTABLAYOUT_H
#define HWTABLAYOUT_H

#include <hwWidget.h>
#include <vector>

class hwTabLayout : public hwWidget
{
public:

    hwTabLayout();

    ~hwTabLayout();

    string draw();

	void add(const string& label, hwWidget* widget);

private:

	typedef struct
	{
		string label;
		hwWidget* widget;
	} child_t;
	
    hwTabLayout(const hwTabLayout& source);
    hwTabLayout& operator=(const hwTabLayout& source);

	vector<child_t*> myChildList;
};

#endif
