#ifndef HWTABLELAYOUT_H
#define HWTABLELAYOUT_H

#include <hwWidget.h>
#include <vector>

class hwTableLayout : public hwWidget
{
public:

    hwTableLayout();

    ~hwTableLayout();

	void add(hwWidget* widget, unsigned int row, unsigned int col);
	
    string draw();

private:

	typedef struct
	{
		unsigned int row;
		unsigned int col;
		hwWidget* widget;
	} child_t;
	
    hwTableLayout(const hwTableLayout& source);
    hwTableLayout& operator=(const hwTableLayout& source);

	hwWidget* getChild(unsigned int row, unsigned int col);

 	vector<child_t*> myChildList;
	unsigned int myNumCols;
	unsigned int myNumRows;
};

#endif
