#ifndef HWWINDOW_H
#define HWWINDOW_H

#include <hwWidget.h>

class hwWindow : public hwWidget
{
public:

    hwWindow();

    ~hwWindow();

    string draw();
	
	void add(hwWidget* child)
		{ myChild = child; }

    const string& getTitle() const 
        { return myTitle; }

    void setTitle(const string& title)
        { myTitle = title; }

protected:

    hwWindow(const string& classname);

private:

    hwWindow(const hwWindow& source);
    hwWindow& operator=(const hwWindow& source);
    
    string myTitle;
    hwWidget* myChild;
};

#endif

