#include <hwButtonbar.h>
#include <hwApp.h>
#include <sstream>
#include <stdlib.h>

hwButtonbar::hwButtonbar()
: hwWidget("hwButtonbar")
{
}

hwButtonbar::~hwButtonbar()
{
}

string hwButtonbar::getStringValue()
{
    int index = atoi(myValue.c_str());
    return myButtons[index];
}

string hwButtonbar::draw()
{
	string html;
	
	html = "<input type=\"hidden\" id=\"" + myName + "\" name=\"" + myName + "\">";
	html += "<table class=\"hwButtonbar\"><tr>";
	
	for (unsigned int i = 0; i < myButtons.size(); i++)
	{
		stringstream s;
		
		s << i;
		
		html += "<td align=\"center\"><input type=\"button\" value=\"" + myButtons[i] + 
			"\" onclick=\"document.forms[0]._event.value='click';document.forms[0]._widget.value='" +
			myName + "';document.forms[0]." + myName + ".value='" + s.str() +
			"';document.forms[0].submit()\"></td>";
	}
	
	html += "</tr></table>";
	
	return html;
}

void hwButtonbar::add(const string& button)
{
	myButtons.push_back(button);
}

