#include <hwCheckbox.h>

hwCheckbox::hwCheckbox(
    const string& label
)
: hwWidget("hwCheckbox"), myLabel(label)
{
    myValue = "off";
}

hwCheckbox::~hwCheckbox()
{
}

string hwCheckbox::draw()
{
	string html;
    html += "<input type=\"hidden\"  name=\"" + myName + "\" value=\"" + myValue + "\">";
	html += "<input class=\"hwCheckbox\" type=\"checkbox\" onclick=\"this.form." + myName + ".value=";
    html += (myValue == "on") ? "'off'" : "'on'";
    html += ";this.form.submit()\"";
    html += (myValue == "on") ? " checked" : "";
    html += "><span class=\"hwCheckbox\">" + myLabel + "</span>";
	
	return html;
}

