#include <hwCombo.h>

hwCombo::hwCombo()
: hwWidget("hwCombo")
{
}

hwCombo::~hwCombo()
{
}

string hwCombo::draw()
{
	string html;
	
	html += "<select class=\"hwCombo\" id=\"" + myName + "\" name=\"" + myName + "\">";
	
	vector<string>::iterator iter;
	
	for (iter = myItems.begin(); iter != myItems.end(); iter++)
	{
		html += "<option value=\"" + *iter + "\"";
		
		if (*iter == mySelected)
		{
			html += " selected";
		}
		
		html += ">" + *iter + "</option>";
	}
	
	html += "</select>";
	
	return html;
}

