#include <hwDialog.h>
#include <hwServer.h>
#include <hwApp.h>
#include <hwTheme.h>

hwDialog::hwDialog(hwWindow* parent)
: hwWindow("hwDialog"), myParent(parent)
{
}

void hwDialog::show()
{
    hwServer::getInstance()->getThreadApp(pthread_self())->setActiveWindow(this);
}

void hwDialog::hide()
{
    hwServer::getInstance()->getThreadApp(pthread_self())->setActiveWindow(myParent);
}

