#include <hwMenu.h>
#include <hwMenuItem.h>

hwMenu::hwMenu(
    const string& title
) 
: hwWidget("hwMenu"), myTitle(title)
{
}

hwMenu::~hwMenu()
{
}

string hwMenu::draw()
{
	string html;
	
    html = "<div class=\"hwMenu\">";
    html += "<a href=?_widget=" + myName + "&_event=click>" + myTitle + "</a>";
    html += "<ul>";
    
    for (unsigned int i = 0; i < myItems.size(); i++)
    {
        html += "<li>";
        html += myItems[i] ? myItems[i]->draw() : "";
        html += "</li>"; 
    }
	
    html += "</ul>";
    html == "</div>";
    
	return html;
}

void hwMenu::add(hwMenuItem* item)
{
    myItems.push_back(item);
}


