#include <hwMenubar.h>
#include <hwMenu.h>

hwMenubar::hwMenubar()
: hwWidget("hwMenubar")
{
}

hwMenubar::~hwMenubar()
{
}

string hwMenubar::draw()
{
	string html;
	
	html = "<table class=\"hwMenubar\" id=\"" + myName + "\" name=\"" + myName + "\">";
    html += "<tr><td>";
    html += "<table><tr>";
    
    for (unsigned int i = 0; i < myMenus.size(); i++)
    {
        html += "<td>";
        html += myMenus[i]->draw();
        html += "</td>";
    }
    
    html += "</tr></table>";
    html += "</td></tr></table>";
	
	return html;
}

void hwMenubar::add(
    hwMenu* menu
)
{
    myMenus.push_back(menu);
}
