#include "hwTheme.h"
#include <fstream>

hwTheme::hwTheme(const string& filename)
: myFilename(filename)
{
}

string hwTheme::getStyle()
{
    ifstream f;
    string style = "";
    
    f.open(myFilename.c_str());
    
    if (f)
    {
        string line;
        
        while (!f.eof())
        {
            getline(f, line);
            style += line;            
        }
        
        f.close();
    }
    
    return style;
}

hwTheme::~hwTheme()
{
}

